Loading...
Searching...
No Matches
raptor::prepare_arguments Struct Reference

## Public Member Functions

void | print_timings () const

## Public Attributes

std::filesystem::path | bin_file {}
std::vector< std::vector< std::string > > | bin_path {}
timer< concurrent::yes > | compute_minimiser_timer {}
uint8_t | kmer_count_cutoff {1u}
uint8_t | kmer_size {20u}
std::filesystem::path | out_dir {"./"}
bool | quiet {false}
seqan3::shape | shape {seqan3::ungapped{kmer_size}}
std::string | shape_string {}
uint8_t | threads {1u}
bool | use_filesize_dependent_cutoff {false}
timer< concurrent::yes > | wall_clock_timer {}
uint32_t | window_size {kmer_size}
timer< concurrent::yes > | write_header_timer {}
timer< concurrent::yes > | write_minimiser_timer {}

The documentation for this struct was generated from the following file:

- prepare_arguments.hpp